Download it now!
Bug 136946 - Add "Shapes" sidebar from LO Draw into Impress
Summary: Add "Shapes" sidebar from LO Draw into Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: medium enhancement
Assignee: andreas_k
URL:
Whiteboard: target:7.1.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2020-09-21 23:56 UTC by Rafael Lima
Modified: 2020-11-25 19:30 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Scheenshot of the "Shapes" sidebar (122.76 KB, image/png)
2020-09-21 23:56 UTC, Rafael Lima
Details
Shapes sidebar not showing in LO 7.1 Beta1 (66.10 KB, image/png)
2020-11-25 18:51 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2020-09-21 23:56:37 UTC
Created attachment 165749 [details]
Scheenshot of the "Shapes" sidebar

LibreOffice Draw has a very useful sidebar named "Shapes" with which the user can easily navigate and add all basic shapes into their drawings.

This sidebar would be very useful in LO Impress as well, because most presentations have shapes as arrows, boxes, flowcharts, callouts, stars, etc.

Today, if the user needs to add multiple shapes into a presentation, he/she needs to click on "Insert" and then select which shape to add (I am using the tabbed interface). After adding the shape, the tabbed interface switches to the Draw tab. Hence if the user wants to add more shapes, it is necessary to click on Insert again. If the Shapes sidebar were available, it would be a lot more productive for the user to prepare a slide with multiple shapes.

I would like to point out that this can't be achieved with the "Gallery" sidebar, because the shapes I'm mentioning are not available there. Also, the design of the Shapes sidebar is more adequate for this purpose, because the icons are smaller and more options can fit the screen.

Thus, I would like to propose a simple enhancement, which would be to implement the "Shapes" sidebar into LO Impress, exactly as it is on LO Draw.

I added an image describing exactly what I am talking about.
Comment 1 Roman Kuznetsov 2020-09-23 17:16:31 UTC
Why not?
Comment 2 Heiko Tietze 2020-09-24 08:14:01 UTC
(In reply to Roman Kuznetsov from comment #1)
> Why not?

/approved

Likely an easyhack, see https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/Sidebar.xcu?r=5c793780#808
Comment 3 Commit Notification 2020-09-27 13:19:33 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/11fdde23f6dc2dce4bc7c4513e70780487150761

tdf#136946 Add Shapes sidebar from LO Draw into Impress

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Rafael Lima 2020-10-09 19:22:06 UTC
Hi! I've just downloaded the most recent build of LO 7.1 from October 8 and I was not able to find the "Shapes" sidebar.

Has it been merged yet? Do I have to enable it in some the settings?

Here's the exact build I tested:

Version: 7.1.0.0.alpha0+
Build ID: 75030b3a2d4336c494fbe799fb809a37ed7e582f
CPU threads: 16; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-10-08_21:40:22
Calc: threaded
Comment 5 andreas_k 2020-10-09 19:28:52 UTC
It's available in master and in winter in 7.1
Comment 6 Rafael Lima 2020-10-09 19:41:39 UTC
(In reply to andreas_k from comment #5)
> It's available in master and in winter in 7.1

I downloaded from the master daily builds:

https://dev-builds.libreoffice.org/daily/master/

Should I have used a different source?

What do you mean by "winter"?
Comment 7 Buovjaga 2020-10-10 05:27:40 UTC
I see Shapes tab just fine in Impress, between Master slides and Styles. Your build should have it. By winter, Andreas meant the time 7.1 final will be out.

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 54e1e5f597705a1244701c75233a2c3a68a7d844
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 9 October 2020
Comment 8 Rafael Lima 2020-11-25 18:51:49 UTC
Created attachment 167574 [details]
Shapes sidebar not showing in LO 7.1 Beta1

Hi! Today I downloaded LO 7.1 Beta 1 and installed it on my computer for testing. However, the Shapes sidebar is not enabled in Impress (see image attached).

I installed the DEB files on a Ubuntu 20.04 machine using the Gtk interface. I used the link below:
https://qa.blog.documentfoundation.org/2020/11/24/libreoffice-7-1-beta1-is-available-for-testing/

The weird thing is that the Shapes sidebar is available when I build LO 7.1 from source code in the master branch. However the DEB build does not include the sidebar.
Comment 9 Rafael Lima 2020-11-25 19:30:54 UTC
> Hi! Today I downloaded LO 7.1 Beta 1 and installed it on my computer for
> testing. However, the Shapes sidebar is not enabled in Impress (see image
> attached).

I managed to fix this by resetting my user profile. Now the Shapes sidebar is available as expected.

The problem was that my UI settings were based on an older version of LO Dev.